org.jboss.jca.common.api.metadata.ds

## Enum XaDataSource.Tag

- java.lang.Object
- - java.lang.Enum<XaDataSource.Tag>
  - - org.jboss.jca.common.api.metadata.ds.XaDataSource.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<XaDataSource.Tag>
  Enclosing interface:
    XaDataSource

      public static enum XaDataSource.Tag
      extends java.lang.Enum<XaDataSource.Tag>

  A Tag.
  Author:
    Stefano Maestri

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DRIVER` driver tag
    `NEW_CONNECTION_SQL` new-connection-sql tag
    `RECOVERY` recovery tag
    `SECURITY` security tag
    `STATEMENT` statement tag
    `TIMEOUT` timeout tag
    `TRANSACTION_ISOLATION` transaction-isolation tag
    `UNKNOWN` always first
    `URL_DELIMITER` url-delimiter tag
    `URL_PROPERTY` url-property tag
    `URL_SELECTOR_STRATEGY_CLASS_NAME` url-selector-strategy-class-name tag
    `VALIDATION` validation tag
    `XA_DATASOURCE_CLASS` xa-datasource-class tag
    `XA_DATASOURCE_PROPERTY` xa-datasource-property tag
    `XA_POOL` xa-pool tag

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XaDataSource.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName XsdString
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static XaDataSource.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static XaDataSource.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final XaDataSource.Tag UNKNOWN

      always first

    - #### XA_DATASOURCE_PROPERTY

          public static final XaDataSource.Tag XA_DATASOURCE_PROPERTY

      xa-datasource-property tag

    - #### XA_DATASOURCE_CLASS

          public static final XaDataSource.Tag XA_DATASOURCE_CLASS

      xa-datasource-class tag

    - #### DRIVER

          public static final XaDataSource.Tag DRIVER

      driver tag

    - #### TRANSACTION_ISOLATION

          public static final XaDataSource.Tag TRANSACTION_ISOLATION

      transaction-isolation tag

    - #### TIMEOUT

          public static final XaDataSource.Tag TIMEOUT

      timeout tag

    - #### SECURITY

          public static final XaDataSource.Tag SECURITY

      security tag

    - #### STATEMENT

          public static final XaDataSource.Tag STATEMENT

      statement tag

    - #### VALIDATION

          public static final XaDataSource.Tag VALIDATION

      validation tag

    - #### URL_DELIMITER

          public static final XaDataSource.Tag URL_DELIMITER

      url-delimiter tag

    - #### URL_PROPERTY

          public static final XaDataSource.Tag URL_PROPERTY

      url-property tag

    - #### URL_SELECTOR_STRATEGY_CLASS_NAME

          public static final XaDataSource.Tag URL_SELECTOR_STRATEGY_CLASS_NAME

      url-selector-strategy-class-name tag

    - #### NEW_CONNECTION_SQL

          public static final XaDataSource.Tag NEW_CONNECTION_SQL

      new-connection-sql tag

    - #### XA_POOL

          public static final XaDataSource.Tag XA_POOL

      xa-pool tag

    - #### RECOVERY

          public static final XaDataSource.Tag RECOVERY

      recovery tag

  - ### Method Detail

    - #### values

          public static XaDataSource.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XaDataSource.Tag c : XaDataSource.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XaDataSource.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<XaDataSource.Tag>`

    - #### forName

          public static XaDataSource.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName XsdString
      Parameters:
        `localName` - a XsdString used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)